summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHeather Cynede <cynede@gentoo.org>2015-08-13 12:27:26 +0400
committerHeather Cynede <cynede@gentoo.org>2015-08-13 12:27:26 +0400
commit3734280aee79307945994b3396c1b7f073ae1a85 (patch)
tree1c00846bc7b1d10828f348ee3ba2b3b75dc24b1b /dev-dotnet
parenteclass/dotnet (diff)
downloadgentoo-3734280aee79307945994b3396c1b7f073ae1a85.tar.gz
gentoo-3734280aee79307945994b3396c1b7f073ae1a85.tar.bz2
gentoo-3734280aee79307945994b3396c1b7f073ae1a85.zip
dev-dotnet/gtk-sharp 2.12.21 (monolithic)
Diffstat (limited to 'dev-dotnet')
-rw-r--r--dev-dotnet/gtk-sharp/gtk-sharp-2.12.21.ebuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/dev-dotnet/gtk-sharp/gtk-sharp-2.12.21.ebuild b/dev-dotnet/gtk-sharp/gtk-sharp-2.12.21.ebuild
new file mode 100644
index 00000000000..c5d906e6e0a
--- /dev/null
+++ b/dev-dotnet/gtk-sharp/gtk-sharp-2.12.21.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit dotnet autotools base
+
+SLOT="2"
+DESCRIPTION="gtk bindings for mono"
+LICENSE="GPL-2"
+HOMEPAGE="http://www.mono-project.com/GtkSharp"
+KEYWORDS="~amd64 ~x86 ~ppc"
+SRC_URI="http://download.mono-project.com/sources/gtk-sharp212/${P}.tar.gz"
+IUSE="debug"
+
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-lang/mono-3.0
+ x11-libs/pango
+ >=dev-libs/glib-2.31
+ dev-libs/atk
+ x11-libs/gtk+:2
+ gnome-base/libglade
+ dev-perl/XML-LibXML
+ !dev-dotnet/gtk-sharp-gapi
+ !dev-dotnet/gtk-sharp-docs
+ !dev-dotnet/gtk-dotnet-sharp
+ !dev-dotnet/gdk-sharp
+ !dev-dotnet/glib-sharp
+ !dev-dotnet/glade-sharp
+ !dev-dotnet/pango-sharp
+ !dev-dotnet/atk-sharp"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/automake:1.11"
+
+src_prepare() {
+ base_src_prepare
+ eautoreconf
+ libtoolize
+}
+
+src_configure() {
+ econf --disable-static \
+ --disable-dependency-tracking \
+ --disable-maintainer-mode \
+ $(use_enable debug)
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ default
+ dotnet_multilib_comply
+ sed -i "s/\\r//g" "${D}"/usr/bin/* || die "sed failed"
+}